sdk 38 >>> error: unknown option `--assetExts'

Please provide the following:

  1. SDK Version: 38

I just update expo to 38 and now, when a i do expo start a get

Opening DevTools in the browser… (press shift-d to disable)
error: unknown option `–assetExts’

Metro Bundler process exited with code 1
Error: Metro Bundler process exited with code 1
at ChildProcess. (/@expo/xdl@57.9.20/src/Project.ts:1857:16)
at Object.onceWrapper (events.js:422:26)
at ChildProcess.emit (events.js:315:20)
at Process.ChildProcess._handle.onexit (internal/child_process.js:275:12)

do you know why ?

thx

thx to an other post, i had :

 "assetExts": [
   "ttf",
   "mp4",  
   "png"
]

in my conf. i removed IT and now it’s working.

I get this error, where to add this assetExts ?

in the app.json

thank you, Error gone after upgrading expo-cli

Hi I am getting the same problem, but i dont have assetExts in my app.json but still getting this -

please the issue in detail here - can you please help
https://github.com/expo/expo-cli/issues/2399

I did not have any assetExts in my app.json neither. Upgrading expo-cli worked fine.